<div class="row">

    <div  style="width: 100%" class="panel">



        <div class="panel-body">

            <table  style="width: 100%" class="table well table-bordered">

                <thead>
                <th class="bg-info">

                    <label class="control-label">Toplam Ürün<span data-toggle="tooltip" title="" data-original-title="Kataloğunuzda bulunan toplam ürünün adedi."></span></label>
                </th>
                <th class="bg-info label-danger {% if list_type=='selected' %} hidden {% endif %} ">
                    <label class="control-label" style="color: azure">({{ code }}) Mevcut Değil <span data-toggle="tooltip" title="" data-original-title=" Kataloğunuzda olup {{ marketplace }} mağazanızda bulunmayan toplam ürün adedi."></span></label> </th>

                <th class="bg-info label-success{% if list_type=='selected' %} hidden {% endif %} ">                    <label style="color: azure" class="control-label">({{ code }}) Satışa Açık <span data-toggle="tooltip" title="" data-original-title="{{ marketplace }} Mağazanızda bulunan satışa açık toplam ürün adedi."></span></label> </th></th>
                <th style="background: #ccc" class="bg-info  {% if list_type=='selected' %} hidden {% endif %} ">                    <label style="color: black" class="control-label">({{ code }}) Satışa Kapalı <span data-toggle="tooltip" title="" data-original-title="{{ marketplace }} Mağazanızda bulunan satışa kapalı ürün adedi."></span></label> </th></th>
                <th class="bg-success"> <label class="control-label">Başarılı<span data-toggle="tooltip" title="" data-original-title="Yapacağınız toplu işlem sonucu başarılı işlem sayısını gösterir."></span></label>
                </th>
                <th class="bg-warning"><label class="control-label">Başarısız<span data-toggle="tooltip" title="" data-original-title="Yapacağınız toplu işlem sonucu başarısız işlem sayısını gösterir."></span></label></th>

                </thead>

                <tbody>
                <div class="well">

                    <p class="lead">{{ marketplace }} Mağazanızla ilgili yapabileceğiniz işlemlerden birini seçiniz.</p>
                    <div class="btn-group-">
                        <button code="{{ code }}" hidesuccess="true" product_id="{{ product_id }}" data-message=" {{total_active  }} adet ürün {{ marketplace }} mağazanızdan silinecektir. Onaylıyormusunuz ?" action="deleteproduct" class="btn btn-danger  btn-lg btnAction {% if not delete_permission %} hidden {% endif %}"  data-loading-text="<i class='fa fa-circle-o-notch fa-spin'></i> Siliniyor..."> <i class="fa fa-stop" aria-hidden="true"> </i> Sil
                        </button>
                        <button code="{{ code }}" hidesuccess="true" product_id="{{ product_id }}" data-message="{{total_active  }} adet ürün {{ marketplace }} mağazanızda satışa kapatılacaktır. Onaylıyormusunuz ?"  class="btn btn-warning btn-lg btnAction"  action="close_for_sale" data-loading-text="<i class='fa fa-circle-o-notch fa-spin'></i> Satışa Kapatılıyor..."><i class="fa fa-pause" aria-hidden="true"> </i> Satışa Kapat
                        </button>
                        <button code="{{ code }}" hidesuccess="true" product_id="{{ product_id }}"  data-message="{{total_close }} adet ürün {{ marketplace }} mağazanızda satışa açılacaktır. Onaylıyormusunuz ?" class="btn btn-success btn-lg  btnAction"  action="open_for_sale" data-loading-text="<i class='fa fa-circle-o-notch fa-spin'></i> Satışa Açılıyor..."><i class="fa fa-play" aria-hidden="true"> </i> Satışa Aç
                        </button>
                        <button code="{{ code }}" hidesuccess="false" product_id="{{ product_id }}"  data-message=" {{total_active  }} adet ürün {{ marketplace }} mağazanızda güncellenecektir. Onaylıyormusunuz ?" class="btn btn-info btn-lg btnAction"  action="update"  data-loading-text="<i class='fa fa-circle-o-notch fa-spin'></i> Güncelleniyor..."><i class="fa fa-refresh" aria-hidden="true"> </i> Güncelle
                        </button>
                       <!-- <button  code="{{ code }}" hidesuccess="true"  aria-hidden="true" data-message="{{total_passive  }} adet ürün {{ marketplace }} mağazanıza gönderilecektir. Onaylıyormusunuz ?" data-loading-text="<i class='fa fa-circle-o-notch fa-spin'></i> Ürün Gönderiliyor..." product_id="{{ product_id }}"  action="addproduct" class="btn btn-primary btn-lg btnAction"><i class="fa fa-play"> </i> {{ marketplace }} mağazama gönder
                        </button>-->
                    </div>

                </div>
                <div class="progress active" style="margin-top:20px;"> <div class="progress-bar"  role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100" style="width:0%"><span class="yuzde"></span></div></div>

                <tr>
                    <td><span class=" btn-block">{{ total }}</span></td>
                    <td class="{% if list_type=='selected' %} hidden {% endif %}"><span class=" btn-block   ">{{ total_passive }}</span></td>
                    <td class="{% if list_type=='selected' %} hidden {% endif %}"><span class=" btn-block">{{ total_active }}</span></td>
                    <td class="{% if list_type=='selected' %} hidden {% endif %}"><span class=" btn-block">{{ total_close }}</span></td>
                    <td><span class=" btn-block btnSuccess">0</span></td>
                    <td><span class=" btn-block btnUnSuccess">0</span></td>

                </tr>


                </tbody>

            </table>

            <div id="report"  style="overflow-y:scroll; overflow-x:hidden; height:100px;" ></div>


        </div>

        <div class="panel-footer">


            <button data-loading-text="Güncelleniyor..." class="hidden btn btn-block btn-lg btn-default btn-start">Güncellemeyi Başlat</button>



        </div>

    </div>


</div>



<script>

    var thisbtn;
    $('.btnAction').on('click',function () {

        thisbtn=$(this);

        var confirm_message=thisbtn.attr('data-message');
        var button_text=thisbtn.text();
        var action=thisbtn.attr('action');

        if(action!='addproduct' && action!='open_for_sale' && parseInt({{ total_active }})<=0){

            Swal.fire("hata","İşlem Yapabilmek için {{ marketplace }} mağazanızda en az 1 ürününüz olmalıdır!","error")

        return;
        }

        if(action=='open_for_sale' && parseInt({{ total_close }})<=0 ){

            Swal.fire("hata","İşlem Yapabilmek için {{ marketplace }} mağazanızda en az 1 kapalı ürününüz olmalıdır!","error")

            return;
        }


                if(action=='addproduct' && parseInt({{ total_passive }})<=0 ){

                    Swal.fire('Hata',"{{ marketplace }} mağazanıza ürün gönderebilmeniz için kataloğounuzda en az 1 ürününüz olmaklıdır!  ",'error')

                    return;
            }





        $('.btnAction').prop('disabled',true);

        Swal.fire({
            title: 'Emin misiniz ?',
            text: confirm_message,
            icon: 'question',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            cancelButtonText: 'İptal',
            confirmButtonText: 'Evet '+button_text
        }).then((result) => {
            if (result.isConfirmed) {

                var updated_products=0;
                var totalpage;
                var current=1;

                $('#report').empty();
                $(this).button('loading');
                $('.btnCurrent').text(current);
                $('.btnSuccess').text(0);
                $('.btnUnSuccess').text(0);
                matched_products=parseInt($('#matched_product').text());
                page= parseInt('{{ current }}');
                totalpage =parseInt('{{ total }}');
                starttool('index.php?route=entegrasyon/product/bulk_action_progress&{{ token_link }}&code={{ code }}&page=1&list_type={{ list_type }}&action='+action+'&product_list={{ product_list }}');


            }else {

                $('.btnAction').prop('disabled',false);

            }
        })

    });

</script>



<script>
    var lastnext='';
    function starttool(url) {
        lastnext=url;

        $.ajax({
            url: url,
            type: 'post',
            dataType: 'json',
            success: function(json) {
                var yuzde = Math.round(json['current'] * 100 / json['total']);
                $('#currentPage').html(json['page']);

                $('#updated_product').html(json['total_matched']);
                $('.progress  .progress-bar').css('width', yuzde + '%');
                $('.progress  .yuzde').html(yuzde + '%' + ' tamamlandı');
                if(!json['status']){

                    $('.btnAction').prop('disabled',false);
                    thisbtn.button('reset');


                }else {

                    starttool(json['next']);
                }

                if(json['update_status']){

                    $('.btnSuccess').text(parseInt($('.btnSuccess').text())+1);

                    $('#report').prepend('<p class="text-success"><i class="fa fa-check-circle" aria-hidden="true"></i> '+json['message']+'</p>');

                }else {

                    $('.btnUnSuccess').text(parseInt($('.btnUnSuccess').text())+1);
                    $('#report').prepend('<p class="text-danger"><i class="fa fa-window-close" aria-hidden="true"></i> '+json['message']+'</p>');

                }
            },
            error: function (request, status, error) {
            //alert(request.responseText);
            starttool(lastnext);
        }
        });
    }

</script>

